> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dify.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# 欠落チャンク一覧を取得

> クエリの実行で想定されていたものの、使用できなかったチャンクを一覧表示します。チャンク 1 つにつき 1 エントリです。`data` が空で `truncated: false` の場合、実行で何も記録されていません。

エントリに含まれるのは理由とエントリのメタデータで、欠落したテキストは含まれません。テキストを読むには、[クエリ記録を取得](/ja/api-reference/query-records/get-query-record) を使用し、`steps[].metadata.evidenceBundle.missingEvidence` を確認してください。

実行のチャンク、矛盾、欠落したチャンクをあわせて読み解く方法については、[回答の調査](/ja/api-reference/guides/knowledge-base#investigate-an-answer) を参照してください。



## OpenAPI

````yaml /ja/api-reference/openapi_service.json get /knowledge-fs/spaces/{knowledge_base_id}/traces/{query_record_id}/missing
openapi: 3.0.1
info:
  description: >-
    Dify アプリケーションとナレッジベースのための REST API です。アプリケーション系エンドポイントはアプリの API
    キーで、ナレッジ系エンドポイントはナレッジベースの API キーで認証します。
  title: Dify サービス API
  version: 1.0.0
servers:
  - description: Dify サービス API のベース URL です。セルフホスト環境では、独自の API ベース URL に置き換えてください。
    url: https://{api_base_url}
    variables:
      api_base_url:
        default: api.dify.ai/v1
        description: API ベース URL のホストとパス（`https://` を除く）。
security:
  - ApiKeyAuth: []
tags:
  - description: チャットメッセージとインタラクションに関連する操作です。
    name: チャットメッセージ
  - description: ファイルのアップロードとプレビューの操作です。
    name: ファイル操作
  - description: エンドユーザー情報に関連する操作です。
    name: エンドユーザー
  - description: ユーザーフィードバックの操作です。
    name: メッセージフィードバック
  - description: 会話管理に関連する操作です。
    name: 会話管理
  - description: テキスト読み上げと音声認識の操作です。
    name: 音声・テキスト変換
  - description: アプリケーション設定と情報を取得する操作です。
    name: アプリケーション設定
  - description: ダイレクト返信用のアノテーション管理に関連する操作です。
    name: アノテーション管理
  - description: 人間の入力を要する一時停止中のワークフローの再開操作です。
    name: 人間の入力
  - description: ワークフローの実行と管理のための操作です。
    name: ワークフロー実行
  - description: テキスト生成に関連する操作です。
    name: 完了メッセージ
  - description: ナレッジベースの作成、設定、取得を含むナレッジベース管理の操作です。
    name: ナレッジベース
  - description: ナレッジベース内のドキュメントの作成、更新、管理のための操作です。
    name: ドキュメント
  - description: ドキュメントチャンクと子チャンクの管理のための操作です。
    name: チャンク
  - description: ナレッジベースのメタデータフィールドとドキュメントメタデータ値の管理のための操作です。
    name: メタデータ
  - description: ナレッジベースタグとタグバインディングの管理のための操作です。
    name: タグ管理
  - description: 利用可能なモデルを取得するための操作です。
    name: モデル
  - description: データソースプラグインとパイプライン実行を含むナレッジパイプラインの管理と実行のための操作です。
    name: ナレッジパイプライン
  - description: ナレッジベースに質問し、回答をストリーミングで受け取ります。
    name: クエリ
  - description: クエリが何を検索したか、またその理由を確認します。
    name: クエリ記録
  - description: リサーチの質問をバックグラウンドで実行し、その結果を取得します。
    name: リサーチタスク
  - description: ナレッジベースのドキュメントと、そのファイル、リビジョン、チャンクを読み取り、ドキュメントにメタデータのラベルを付けます。
    name: ドキュメントとチャンク
  - description: インデックス処理の追跡、キャンセル、再試行と、ナレッジベースのバックグラウンドタスクの一覧表示を行います。
    name: インデックスタスク
  - description: ドキュメントファイル、ファイルのバッチ、またはソースの削除を、完了するまで追跡します。
    name: 削除ジョブ
  - description: ナレッジベースにデータを供給するソース、その同期スケジュール、接続を管理します。
    name: ソース
  - description: ソースの即時同期、ウェブサイトのページまたはプロバイダーのアイテムのインポート、実行の追跡、キャンセル、再試行を行います。
    name: ソースの同期とインポート
  - description: ナレッジベースのモデルと検索設定の読み取りと変更、および変更によって始まる移行の追跡を行います。
    name: 設定
paths:
  /knowledge-fs/spaces/{knowledge_base_id}/traces/{query_record_id}/missing:
    get:
      tags:
        - Query Records
      summary: 欠落チャンク一覧を取得
      description: >-
        クエリの実行で想定されていたものの、使用できなかったチャンクを一覧表示します。チャンク 1 つにつき 1 エントリです。`data` が空で
        `truncated: false` の場合、実行で何も記録されていません。


        エントリに含まれるのは理由とエントリのメタデータで、欠落したテキストは含まれません。テキストを読むには、[クエリ記録を取得](/ja/api-reference/query-records/get-query-record)
        を使用し、`steps[].metadata.evidenceBundle.missingEvidence` を確認してください。


        実行のチャンク、矛盾、欠落したチャンクをあわせて読み解く方法については、[回答の調査](/ja/api-reference/guides/knowledge-base#investigate-an-answer)
        を参照してください。
      operationId: listQueryMissingChunks
      parameters:
        - description: >-
            ナレッジベース ID です。ナレッジベースの **API アクセス** ダイアログに表示されるサービス API
            エンドポイントの最後のセグメント（`…/knowledge-fs/spaces/<knowledge base
            ID>`）です。アドレスバーでは `/datasets/new/` の後のセグメントです。
          in: path
          name: knowledge_base_id
          required: true
          schema:
            format: uuid
            type: string
        - description: >-
            クエリ記録 ID です。[クエリを実行](/ja/api-reference/queries/run-query) のレスポンスヘッダー
            `x-query-run-id`、または
            [クエリ記録一覧を取得](/ja/api-reference/query-records/list-query-records) の
            `id` です。
          in: path
          name: query_record_id
          required: true
          schema:
            format: uuid
            type: string
        - description: >-
            前のページの `next_cursor` から取得したカーソルです。エントリはオフセットで指定するため、`0`
            を指定すると最初のエントリから始まります。
          in: query
          name: cursor
          required: false
          schema:
            maxLength: 1000
            minLength: 1
            type: string
        - description: 1 ページあたりのエントリ数です。
          in: query
          name: limit
          required: false
          schema:
            default: 100
            maximum: 100
            minimum: 1
            type: integer
      responses:
        '200':
          content:
            application/json:
              examples:
                success:
                  summary: レスポンス例
                  value:
                    consistency_class: null
                    data:
                      - kind: resource
                        metadata:
                          availability: available
                          reason: permission-filtered
                        name: missing-1
                        path: >-
                          /queries/3c9e3b1a-2f0a-4b7d-9d3e-1f2a3b4c5d6e/missing/1
                        resource_type: evidence
                        target_id: d4c6e8a0-2b4d-4e6f-8a0c-2e4f6a8b0c2d
                        version: null
                    next_cursor: null
                    path: /queries/3c9e3b1a-2f0a-4b7d-9d3e-1f2a3b4c5d6e/missing
                    preview: null
                    truncated: false
              schema:
                $ref: '#/components/schemas/KnowledgeBaseQueryRecordEntries'
          description: |-
            1 ページ分の欠落チャンクエントリです。

            - `name` は `missing-<n>` です。
            - `target_id` は、記録されている場合は想定されていたチャンクの ID、それ以外の場合はエントリ名です。
            - `resource_type` は `evidence` です。
        '400':
          content:
            application/json:
              examples:
                knowledge_fs_invalid_request:
                  summary: knowledge_fs_invalid_request (local validation)
                  value:
                    code: knowledge_fs_invalid_request
                    message: Agent Knowledge Base request is invalid.
                    status: 400
                    violations:
                      - field:
                          - cursor
                        type: string_too_long
                knowledge_fs_invalid_request_2:
                  summary: knowledge_fs_invalid_request (upstream)
                  value:
                    code: knowledge_fs_invalid_request
                    failure:
                      category: validation
                      code: KNOWLEDGE_FS_INVALID_REQUEST
                      message: The Agent Knowledge Base request is invalid.
                      retryPolicy: never
                      traceId: 8f3a2c14-9d6b-4c07-b5a1-2e7d0c93f5b2
                    message: The Agent Knowledge Base request is invalid.
                    status: 400
                knowledge_fs_invalid_request_path:
                  summary: knowledge_fs_invalid_request (path ID)
                  value:
                    code: knowledge_fs_invalid_request
                    message: Agent Knowledge Base request is invalid.
                    status: 400
          description: >-
            - `knowledge_fs_invalid_request`：リクエストが検証に失敗したか、`limit` が 100
            を超えているか、`query_record_id` が UUID ではありません。`violations`
            には、問題のあるフィールドがそれぞれ示されます。

            - `knowledge_fs_invalid_request`：`query_record_id` の形式が正しくありません。

            - `knowledge_fs_invalid_request`：`cursor` が 0 以上の整数のオフセットではありません。
        '401':
          content:
            application/json:
              examples:
                knowledge_fs_invalid_credential:
                  summary: knowledge_fs_invalid_credential
                  value:
                    code: knowledge_fs_invalid_credential
                    message: Invalid Agent Knowledge Base service credential.
                    status: 401
                unauthorized:
                  summary: unauthorized
                  value:
                    code: unauthorized
                    message: Access token is invalid
                    status: 401
          description: >-
            - `unauthorized`：`Authorization` ヘッダーがないか、キーが不明であるか、ナレッジベースの API
            キーではありません。

            - `knowledge_fs_invalid_credential`：キーは有効ですが、キーのワークスペースにこの ID
            のナレッジベースが存在しないか、キーがワークスペースに紐付いていません。
        '403':
          content:
            application/json:
              examples:
                forbidden:
                  summary: forbidden (rate limit)
                  value:
                    code: forbidden
                    message: >-
                      Sorry, you have reached the knowledge base request rate
                      limit of your subscription.
                    status: 403
                knowledge_fs_access_denied:
                  summary: knowledge_fs_access_denied (key scope)
                  value:
                    code: knowledge_fs_access_denied
                    message: Agent Knowledge Base operation is not allowed.
                    status: 403
                knowledge_fs_access_denied_2:
                  summary: knowledge_fs_access_denied (upstream)
                  value:
                    code: knowledge_fs_access_denied
                    failure:
                      action: contact_admin
                      category: authorization
                      code: KNOWLEDGE_FS_ACCESS_DENIED
                      message: >-
                        You do not have permission to perform this Agent
                        Knowledge Base operation.
                      retryPolicy: never
                      traceId: 8f3a2c14-9d6b-4c07-b5a1-2e7d0c93f5b2
                    message: >-
                      You do not have permission to perform this Agent Knowledge
                      Base operation.
                    status: 403
          description: >-
            -
            `knowledge_fs_access_denied`：キーのアクセス範囲がほかのナレッジベースに限定されているか、このナレッジベースで
            **API アクセス** がオフになっています。または、ナレッジベースがアクティブではありません。

            - `knowledge_fs_access_denied`：キーには、このナレッジベースのコンテンツへのアクセス権がありません。

            - `forbidden`：Dify Cloud
            で、ワークスペースがサブスクリプションで定められたナレッジベースのリクエストレート制限に達しました。読み取りを含め、すべての呼び出しがカウントされます。
        '404':
          content:
            application/json:
              examples:
                knowledge_fs_resource_not_found:
                  summary: knowledge_fs_resource_not_found
                  value:
                    code: knowledge_fs_resource_not_found
                    failure:
                      category: not_found
                      code: KNOWLEDGE_FS_NOT_FOUND
                      message: >-
                        The requested Agent Knowledge Base resource was not
                        found.
                      retryPolicy: never
                      traceId: 8f3a2c14-9d6b-4c07-b5a1-2e7d0c93f5b2
                    message: The requested Agent Knowledge Base resource was not found.
                    status: 404
                not_found:
                  summary: not_found (feature off)
                  value:
                    code: not_found
                    message: >-
                      The requested URL was not found on the server. If you
                      entered the URL manually please check your spelling and
                      try again.
                    status: 404
          description: >-
            - `knowledge_fs_resource_not_found`：この ID
            のクエリ記録が存在しないか、記録が別のナレッジベースに属しているか、記録が指す検索されたチャンクがすでに保存されていません。

            - `not_found`：このデプロイ環境では Agent ナレッジベース機能が無効になっています。
        '502':
          content:
            application/json:
              examples:
                knowledge_fs_upstream_unavailable:
                  summary: knowledge_fs_upstream_unavailable
                  value:
                    code: knowledge_fs_upstream_unavailable
                    message: Agent Knowledge Base is unavailable.
                    status: 502
          description: >-
            -
            `knowledge_fs_upstream_unavailable`：時間内に応答が返らなかったか、応答を読み取れませんでした。しばらく待ってから再試行してください。
        '503':
          content:
            application/json:
              examples:
                knowledge_fs_operation_unavailable:
                  summary: knowledge_fs_operation_unavailable
                  value:
                    code: knowledge_fs_operation_unavailable
                    message: Agent Knowledge Base operation is not available.
                    status: 503
                knowledge_fs_operation_unavailable_upstream:
                  summary: knowledge_fs_operation_unavailable (temporary)
                  value:
                    code: knowledge_fs_operation_unavailable
                    failure:
                      action: retry
                      category: dependency
                      code: KNOWLEDGE_FS_UNAVAILABLE
                      message: >-
                        A service required by Agent Knowledge Base is
                        temporarily unavailable.
                      retryPolicy: manual
                      traceId: 5e2a9c17-3b4d-4f60-8a1b-2c3d4e5f6a7b
                    message: >-
                      A service required by Agent Knowledge Base is temporarily
                      unavailable.
                    status: 503
          description: >-
            - `knowledge_fs_operation_unavailable`：このワークスペースで Agent
            ナレッジベース機能が設定されていないか、このデプロイ環境ではこの操作を利用できません。または、リクエストの認可中に、このナレッジベースに対するキーのアクセス権が変更されました。

            -
            `knowledge_fs_operation_unavailable`：現在このリクエストを処理できません。`failure.retryPolicy`
            に従ってください。

            -
            `knowledge_fs_operation_unavailable`：このナレッジベースは従来型ナレッジベースからアップグレードされたものです。従来型ナレッジベースで無効化またはアーカイブされていたドキュメントを、まだ無効化している途中です。後で再試行してください。
components:
  schemas:
    KnowledgeBaseQueryRecordEntries:
      properties:
        consistency_class:
          description: これらのビューでは常に `null` です。
          nullable: true
          type: string
        data:
          description: このページのエントリで、実行時に記録された順に並びます。
          items:
            properties:
              kind:
                description: これらのビューでは常に `resource` です。
                type: string
              metadata:
                description: >-
                  エントリの詳細です。使用できるキーはビューによって異なります。欠落チャンクビューでは、欠落したアイテム自体のメタデータキーも
                  `metadata` に含まれます。
                properties:
                  availability:
                    description: '`available` です。チャンクが削除されたか、読み取れなくなった場合は `unavailable` です。'
                    type: string
                  citationCount:
                    description: チャンクビュー：チャンクに対する引用の数です。
                    type: integer
                  conflictCount:
                    description: チャンクビュー：チャンクに記録された矛盾の数です。チャンクが利用できない場合は `0` です。
                    type: integer
                  documentId:
                    description: >-
                      チャンクビュー：主な引用のドキュメントファイル ID
                      です。[ドキュメントファイルを取得](/ja/api-reference/documents-and-chunks/get-document-file)
                      で使用できます。チャンクに引用がある場合にのみ含まれます。
                    type: string
                  documentVersion:
                    description: チャンクビュー：そのドキュメントファイルのバージョンです。チャンクに引用がある場合にのみ含まれます。
                    type: integer
                  freshness:
                    description: チャンクビュー：検索時点でのチャンクの鮮度です。
                    properties:
                      observedAt:
                        description: チャンクが最後に確認された日時（ISO 8601）です。判明している場合に含まれます。
                        type: string
                      sourceUpdatedAt:
                        description: ソースが最後に変更された日時（ISO 8601）です。判明している場合に含まれます。
                        type: string
                      status:
                        description: '`fresh`、`stale`、`unknown` のいずれかです。'
                        type: string
                    type: object
                  nodeId:
                    description: 矛盾ビュー：矛盾を含むチャンクの ID です。
                    type: string
                  reason:
                    description: >-
                      矛盾ビュー：矛盾の内容を説明する自由記述のテキストです。欠落チャンクビュー：チャンクが使用されなかった理由で、`not-retrieved`、`permission-filtered`、`stale`、`conflict`、`unknown`
                      のいずれかです。


                      `permission-filtered`：アクセスチェックによってチャンクが除外されました。
                    type: string
                  score:
                    description: チャンクビュー：チャンクの関連度スコアで、0 から 1 の値です。
                    type: number
                  scores:
                    description: チャンクビュー：スコアの内訳で、それぞれ 0 から 1 の値です。
                    properties:
                      final:
                        description: すべての段階を経た最終スコアです。
                        type: number
                      freshness:
                        description: 鮮度スコアです。算出された場合に含まれます。
                        type: number
                      rerank:
                        description: リランクスコアです。リランカーが実行された場合に含まれます。
                        type: number
                      retrieval:
                        description: 検索スコアです。
                        type: number
                    type: object
                  sectionPath:
                    description: チャンクビュー：主な引用の見出しパスで、最上位の見出しから順に並びます。チャンクに引用がある場合にのみ含まれます。
                    items:
                      type: string
                    type: array
                  severity:
                    description: >-
                      矛盾ビュー：`info`、`warning`、`blocking` のいずれかです。`blocking`
                      は、実行が回答できなくなる矛盾です。
                    type: string
                  text:
                    description: チャンクビュー：チャンクのテキストです。チャンクが利用できない場合はプレースホルダーになります。
                    type: string
                  title:
                    description: >-
                      チャンクビュー：`sectionPath` の最後の要素です。`sectionPath`
                      が空でない場合にのみ含まれます。
                    type: string
                  unavailableReason:
                    description: >-
                      チャンクが利用できない理由です（例：`evidence-unavailable`）。`availability` が
                      `unavailable` の場合にのみ含まれます。
                    type: string
                type: object
              name:
                description: >-
                  エントリ名です。チャンクビューではチャンク ID、矛盾ビューでは `conflict-<n>`（チャンク内で 1
                  から採番）、欠落チャンクビューでは `missing-<n>`（1 から採番）です。
                type: string
              path:
                description: エントリの内部パスです。参考情報であり、この API ではこのパスを提供していません。
                type: string
              resource_type:
                description: チャンクビューと矛盾ビューでは `node`、欠落チャンクビューでは `evidence` です。
                nullable: true
                type: string
              target_id:
                description: >-
                  エントリの対象です：


                  - チャンクビュー：チャンク ID。

                  - 矛盾ビュー：矛盾する相手のチャンク。記録されていない場合は自身のチャンク ID。

                  - 欠落チャンクビュー：記録されている場合は、本来使われるはずだったチャンク ID。それ以外の場合はエントリの
                  `name`。


                  `metadata.availability` が `unavailable`
                  の場合、現存するチャンクに対応しないことがあります。
                nullable: true
                type: string
              version:
                description: これらのビューでは常に `null` です。
                nullable: true
                type: integer
            type: object
          type: array
        next_cursor:
          description: 次のページのカーソルです。最後のページでは `null` です。`cursor` として送り返してください。
          nullable: true
          type: string
        path:
          description: >-
            ビューの内部パスです（例：`/queries/<query_record_id>/evidence`）。参考情報であり、この API
            ではこのパスを提供していません。
          type: string
        preview:
          description: これらのビューでは常に `null` です。
          nullable: true
          type: boolean
        truncated:
          description: このページ以降にもエントリがある場合は `true` です。続きは `next_cursor` を使って取得します。
          type: boolean
      type: object
  securitySchemes:
    ApiKeyAuth:
      bearerFormat: API_KEY
      description: >-
        すべてのリクエストは API キーで認証します：`Authorization: Bearer
        {API_KEY}`。アプリのエンドポイントにはアプリの API キーを、ナレッジのエンドポイントにはナレッジベースの API
        キーを使用します（[Dify API クイックスタート](/ja/api-reference/guides/get-started)）。


        キーはサーバーサイドで保管し、クライアントコードには決して埋め込まないでください。キーが欠落または無効なリクエストは HTTP
        `401`（`unauthorized`）で失敗します。
      scheme: bearer
      type: http

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.